;****************************************************************************
;*
;*	Copyright (C) 1984-2004 Micro Focus International Ltd.
;*
;*      All rights reserved.  Unpublished, all rights reserved under
;*      copyright law and international treaty.  Use of a copyright notice
;*      is precautionary only and does not imply publication or disclosure.
;*      This software contains confidential information and trade secrets of
;*      Micro Focus Ltd. and no part of this program or publication may be
;*      reproduced, transmitted, transcribed, stored in a retrieval system,
;*      or translated into any language or computer language, in any form
;*      or by any means, electronic, mechanical, magnetic, optical, chemical,
;*      manual or otherwise, without the prior written permission of:
;*
;*      Micro Focus Ltd,
;*      The Lawn, Old Bath Road, Newbury, Berkshire, RG14 1QN, UK.
;*      (01635) 32646
;*
;*      RESTRICTED RIGHTS LEGEND
;*      Use, duplication, or disclosure by the Government is subject to
;*      restrictions as set forth in subparagraph (c)(1)(ii) of the Rights
;*      in Technical Data and Computer Software clause at DFARS 52.227-7013
;*      or subparagraphs (c)(1) and (2) of Commercial Computer Software -
;*      Restricted Rights at 48 CFR 52.227-19, as applicable.  Contact
;*      Micro Focus Incorporated, 1001 W. Maude Avenue, Sunnyvale, California 94085, USA
;*
;*	Assembler files for use in Genesis Unix builds.
;*
;*	Source Module preload.hp.app	Sccs Identification 5.3
;*
;*	Last Modified on 04/06/24 at 15:45:13
;*
;****************************************************************************/
;** Start of source module preload.hp.app **/
        .code
        .import _mFdynload,code
        .export &mFNAME,entry,long_return
&mFNAME
	.proc
	.callinfo calls, save_rp, frame=16, args_saved
	.entry
	stw     %r2,-20(%sp)
	addil    LT'D.&mFNAME,%r19,%r1
 	ldw     RT'D.&mFNAME(%r1),%r29
 	ldw     0(%r29),%r28
	combf,=	%r28,%r0,T.&mFNAME
	stw     %r2,-24(%sp)
	ldo     64(%sp),%sp
	stw     %r23,-112(%sp)
	stw     %r24,-108(%sp)
	stw     %r25,-104(%sp)
	stw     %r26,-100(%sp)
	copy	%r29, %r23
	addil	lt'L.&mFNAME,%r19,%r1
	ldw     rt'L.&mFNAME(%r1),%r26
	addil	lt'S.&mFNAME,%r19,%r1
	ldw     rt'S.&mFNAME(%r1),%r25
	addil   lt'PL.&mFNAME,%r19,%r1
	ldw     rt'PL.&mFNAME(%r1),%r1
	ldw     0(%r1),%r24
	ldi	&mFflag,%r29
	bl	_mFdynload,%r2
	stw     %r29,-52(%sp)
	ldw     -100(%sp),%r26
	ldw     -104(%sp),%r25
	ldw     -108(%sp),%r24
	ldw     -112(%sp),%r23
	ldo	-64(%sp),%sp
T.&mFNAME
	ldw	-2(%r28),%r22
	ldw	2(%r28),%r19
	ldsid	(%r22),%r1
	mtsp	%r1,%sr0
	be	0(%r22)
	ldw	-20(%sp),%r2
	.exit
	.procend
        .data
	.align  4
PL.&mFNAME
	.word		P'&mFNAME
D.&mFNAME
	.word	0
S.&mFNAME
        .stringz        "&mFNAME"
L.&mFNAME
        .stringz        "&mFNAM2"
